CanvasGraph.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <stack>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFont.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPictBitmap.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "CanvasParser.hxx"`
`#include "CanvasGraph.hxx"`
`#include "CanvasStyleManager.hxx"`
`#include "libmwaw_internal.hxx"`

## Classes
struct | CanvasGraphInternal::Shape
| Internal: the shape of a CanvasGraph. More...
struct | CanvasGraphInternal::LocalTransform
| Internal: the local state of a CanvasGraph. More...
struct | CanvasGraphInternal::State
| Internal: the state of a CanvasGraph. More...
class | CanvasGraphInternal::SubDocument
| Internal: the subdocument of a CanvasGraph. More...

## Namespaces
namespace | CanvasGraphInternal
| Internal: the structures of a CanvasGraph.

## Functions
MWAWVec2f | CanvasGraphInternal::getOffsetPoint (std::vector< MWAWVec2f > const &vertices, size_t id, float offset)
| Internal: given a list of vertices, an indice and an offset computes a new point.
std::vector< MWAWVec2f > | CanvasGraphInternal::smoothPoints (std::vector< MWAWVec2f > const &vertices)
| Internal: try to smooth a list of points.